%define name wikipad
%define version 1.9
%define release %mkrel 1

Summary: Wiki-like notebook 
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://wikidpad.googlegroups.com/web/WikidPad-1.9-src.tar.bz2
Source1: %{name}.png
URL: http://wikidpad.sourceforge.net
Group: Office  
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
BuildArch: noarch
Requires: python
Requires: libwxPythonGTK2.8
Requires: wxPythonGTK
Requires: libsqlite3_0
Requires: sqlite3-tools
Conflicts: python-enchant

%description
wikidPad is a Wiki-like notebook for storing your thoughts, ideas, 
todo lists, contacts, or anything else you can think of to write down.



%prep
%setup -q -n WikidPad-1.9-src


%build
#no build

%install
%{__rm} -rf %{buildroot}

mkdir -p %buildroot%_datadir/%{name}
cp -af * %buildroot%_datadir/%{name}

#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec python WikidPad.py
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=wikidPad
Comment=Wiki-like notebook for storing your thoughts, ideas
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Categories=Office-Publishing;X-MandrivaLinux-Office-Publishing;
EOF
rm -f %{buildroot}%_datadir/%{name}/*.txt 
rm -f %{buildroot}%_datadir/%{name}/setup.py

#icon
mkdir -p %{buildroot}%_datadir/pixmaps
install -m 0644 %SOURCE1 %{buildroot}%_datadir/pixmaps/%{name}.png


%clean
%__rm -rf %{buildroot}


%post
chmod 777 /usr/share/wikipad
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc *.txt docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed May 26 2010 slick50 <lxgator@gmail.com> 1.9-1pclos2010
- initial build

